Buscar produto
curl --request GET \
--url https://api.vendaze.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vendaze.com/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vendaze.com/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Plano Empresarial",
"price_cts": 99900,
"currency": "BRL",
"description": "Plano completo para grandes equipes.",
"image_url": "https://storage.vendaze.com/client/workspaces/abc/products/xyz/image/avatar_Ab1Cd2Ef3G.webp",
"code": "PLANO-EMP",
"is_active": true,
"billing_cycle": "monthly",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Produtos
Buscar produto
Retorna um produto pelo seu id (UUID).
Escopo necessário
Escopo necessário
products:read
GET
/
v1
/
products
/
{id}
Buscar produto
Esta página foi útil?
⌘I